function En=normal(n)
// Returns a matrix of size nxn and with all entries equal to 1/n.
//
// Calling Sequence
//  normal(n) // Show a matrix with all entries equal to 1/n and size nxn. The parameter n is always required.
//  En=normal(n) // Store a matrix with size nxn and all entries equal to 1/n in the En variable.
//
// Parameters
// n: Value of the desired size of the matrix, look the bibliography.
// En: Name of the variable to store the matrix.
//
// Description
// This function gives a matrix with size nxn and all entries equal to 1/n. This matrix is required for the PageRank method.
//
// Examples
// normal(2)  // Returns a matrix with size 2x2 and all entries equal to 0.5.
// En = normal(3)  // The same as above but with n equal to 3.
//
// See also
//  pagerank
//
// Authors
//  Jorge Catumba ;
// Bibliography
//   Indirect Influences, Rafael Díaz. preprint http://arxiv.org/abs/0906.1610v1
//   Cálculo de Influencias Indirectas en Scilab. Rafael Díaz, Jorge Catumba.

  for col=1:n
    for ren=1:n
      En(ren,col)=1/n
    end      
  end
endfunction